Автор Тема: Помогите с установкой VIBER  (Прочитано 7270 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Konvertor

Помогите с установкой VIBER
« : 21 Июня 2016, 17:48:01 »
Скачал с офсайта пакет Viber для дебиан, запустил установку, все прошло без выдаваемых системой ошибок, появился значек в: Приложения/Интернет, но запускаться прога не хочет, то есть реакции на нажатие значка - нуль.
У меня Debian 8.4 x64 Gnome 3.
Может кто сталкивался, подскажите как вылечить недуг?
 

Оффлайн alsoijw

Re: Помогите с установкой VIBER
« Ответ #1 : 21 Июня 2016, 18:06:24 »
Konvertor, запусти из командной строки, вывод вставь сюда.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Оффлайн Konvertor

Re: Помогите с установкой VIBER
« Ответ #2 : 21 Июня 2016, 18:12:14 »
Konvertor, запусти из командной строки, вывод вставь сюда.
Подскажите как это сделать.
Еще не доводилось.
 

Оффлайн alsoijw

Re: Помогите с установкой VIBER
« Ответ #3 : 21 Июня 2016, 19:30:05 »
Konvertor, открой терминал, набери команду Viber, выдели всё что появится после, нажми Ctrl + Shift + C, вставь в браузер.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 
Пользователи, которые поблагодарили этот пост: Konvertor

Оффлайн Konvertor

Re: Помогите с установкой VIBER
« Ответ #4 : 21 Июня 2016, 19:51:55 »
Выдает такое:alexandr@debian:~$ Viber
bash: Viber: команда не найдена
alexandr@debian:~$
 

Оффлайн Aalexeey

Re: Помогите с установкой VIBER
« Ответ #5 : 21 Июня 2016, 20:01:22 »
Попробуйте /opt/viber/Viber. У меня в Wheezy оно хорошо работало но пришлось удалить потому как эта кака после остановки продолжает висеть в процессах что-то делать и при этом не убивается! Также отсутствует иконка в трэе.
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн Konvertor

Re: Помогите с установкой VIBER
« Ответ #6 : 21 Июня 2016, 20:29:15 »
Попробуйте /opt/viber/Viber. У меня в Wheezy оно хорошо работало но пришлось удалить потому как эта кака после остановки продолжает висеть в процессах что-то делать и при этом не убивается! Также отсутствует иконка в трэе.
Попробовал, вот что выдало:alexandr@debian:~$  /opt/viber/Viber
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, wayland-egl, wayland, xcb.

Reinstalling the application may fix this problem.
Аварийный останов
alexandr@debian:~$
 

Оффлайн Aalexeey

Re: Помогите с установкой VIBER
« Ответ #7 : 21 Июня 2016, 20:36:23 »
Посмотрите в Synaptic какие libxcb пакеты у вас установленны и сравните с моими во вложении здесь:
https://debianforum.ru/index.php?topic=3834.msg85673#msg85673 доустановите каких нет.
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 
Пользователи, которые поблагодарили этот пост: Konvertor

Оффлайн Konvertor

Re: Помогите с установкой VIBER
« Ответ #8 : 21 Июня 2016, 20:57:18 »
Посмотрите в Synaptic какие libxcb пакеты у вас установленны и сравните с моими во вложении здесь:
https://debianforum.ru/index.php?topic=3834.msg85673#msg85673 доустановите каких нет.
Но там у Вас sources.list
 

Оффлайн Aalexeey

Re: Помогите с установкой VIBER
« Ответ #9 : 21 Июня 2016, 21:05:21 »
И вложение packages_list.txt смотрите там где-то.
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн ferum

Re: Помогите с установкой VIBER
« Ответ #10 : 21 Июня 2016, 21:20:18 »
Попробуйте /opt/viber/Viber. У меня в Wheezy оно хорошо работало но пришлось удалить потому как эта кака после остановки продолжает висеть в процессах что-то делать и при этом не убивается! Также отсутствует иконка в трэе.
Я понимаю что тормоза придумали тру`сы но чаще всего тупо прописать путь к бинарнику не есть good а надо запускать с соответствующими ключами иногда со ссылкой на конфигурационные файлы. То что программа продолжает висеть в процессах и не убивается говорит скорее всего именно об этом. Иконка в трее скорее всего отсутствовала по той же причине.
[ot]Многие пользователи яростно ругают systemd, однако эта приблуда просто не даст неправильно запустить процесс и это в общем не плохо. Позволю себе заметить что ubuntu в определённый промежуток времени (который ещё продолжается для старых поддерживаемых релизов) использовал upstart в качестве системы инициализации при этом wheezy  оставался на sysv init а jessie перешёл на systemd  и если интересующая вас программа заточена под ubuntu то для корректной работы установленного deb пакета его необходимо тщательно обработать напильником.[/ot]
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: Konvertor

Оффлайн Konvertor

Re: Помогите с установкой VIBER
« Ответ #11 : 21 Июня 2016, 21:26:53 »
Вложение скачал и смотрел, но если честно - ни чего не понял.
Там (для меня)все под одну гребенку, где из них программы, где библиотеки, и на что конкретно нужно обратить внимание не соображу.
Я не так давно переселился с винды на линукс и пока что новичек без стажа, и мне пока что это сложно.
 

Оффлайн Aalexeey

Re: Помогите с установкой VIBER
« Ответ #12 : 21 Июня 2016, 21:33:47 »
пользователи яростно ругают systemd, однако эта приблуда просто не даст неправильно запустить процесс
В LMDE2 а значит и в Jessie с её systemd Viber ведёт себя точно также, "а если нет разницы то зачем ...."  ;D

Там в колонке слева имена пакетов которые установленны у меня на 32 и 64 битной машинах, с ними Viber рабртал, вам надо попробовать установить все пакеты libxcb как у меня и потом опять попробовать запустить Viber.
Spoiler: ShowHide
libxcb-composite0
libxcb-dri2-0
libxcb-dri3-0
libxcb-glx0
libxcb-icccm4
libxcb-image0
libxcb-keysyms1
libxcb-present0
libxcb-randr0
libxcb-render-util0
libxcb-render0
libxcb-render0-dev
libxcb-shape0
libxcb-shm0
libxcb-shm0-dev
libxcb-sync1
libxcb-util0   
libxcb-xfixes0
libxcb-xkb1   
libxcb-xv0     
libxcb1
libxcb1-dev
« Последнее редактирование: 21 Июня 2016, 21:43:47 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн Konvertor

Re: Помогите с установкой VIBER
« Ответ #13 : 21 Июня 2016, 21:49:10 »
Решено доустановкой XCB (Pigeon holes for your cut and paste selections) и XCB-proto (X C Binding - protocol descriptions).Устанавливал на угад, интуитивно, но помогло запускается из меню приложений штатным значком.
Спасибо всем участникам темы
 

Оффлайн Edwards

Re: Помогите с установкой VIBER
« Ответ #14 : 22 Июня 2016, 12:01:55 »
Немного поздновато. Может быть, нужно было запускать из терминала "viber", а не "Viber"? Чувствительно к регистру же, "Firefox" не запускается, в отличие от "firefox".
 

Теги:
     

    [РЕШЕНО]Установка apulse. Помогите опознать пакеты

    Автор wlad-biker

    Ответов: 2
    Просмотров: 2855
    Последний ответ 30 Сентября 2014, 13:33:43
    от wlad-biker
    Помогите пожалуйста установить Flacon

    Автор Борман

    Ответов: 2
    Просмотров: 1679
    Последний ответ 30 Апреля 2018, 20:37:35
    от Борман
    [Silicon Empire] Помогите собрать

    Автор su16

    Ответов: 0
    Просмотров: 1872
    Последний ответ 29 Ноября 2012, 00:04:21
    от su16
    Помогите с чёрным экраном, пожалуйста!

    Автор dikobraz

    Ответов: 24
    Просмотров: 3101
    Последний ответ 15 Июля 2018, 13:23:56
    от ecc83
    Помогите с загрузкой

    Автор sockrat

    Ответов: 0
    Просмотров: 956
    Последний ответ 18 Апреля 2015, 16:24:02
    от sockrat